package kotlinstudy.collections

fun main() {
    val readOnlyShapes = listOf("triangle", "square", "circle")
    println(readOnlyShapes)

    println("The 1st item in the list `readOnlyShapes` is: ${readOnlyShapes[0]}")
    println("The last item in the list `readOnlyShapes` is: ${readOnlyShapes.last()}")
    println("The list `readOnlyShapes` has ${readOnlyShapes.count()} items")
    println("circle" in readOnlyShapes)

    val shapes: MutableList<String> = mutableListOf("triangle", "square", "circle")
    println(shapes)
    shapes.add("pentagon")
    println(shapes)
    shapes.remove("circle")
    println(shapes)

}